### Enumeration

# Ggit AttributeCheckFlags

#### Declaration

    flags Ggit.AttributeCheckFlags

#### Description [src]

Attribute check flags indicate the order in which to check for gitattributes. git core uses `GGIT_ATTRIBUTE_CHECK_FILE_THEN_INDEX` for all operations, except on checkout, where it uses `GGIT_ATTRIBUTE_CHECK_INDEX_THEN_FILE`.

#### Members

`GGIT_ATTRIBUTE_CHECK_FILE_THEN_INDEX`

  Check working directory, then index.

  - Value: `0`
  - Available since: 1.0
`GGIT_ATTRIBUTE_CHECK_INDEX_THEN_FILE`

  Check index, then working directory.

  - Value: `1`
  - Available since: 1.0
`GGIT_ATTRIBUTE_CHECK_INDEX_ONLY`

  Check only index.

  - Value: `2`
  - Available since: 1.0
`GGIT_ATTRIBUTE_CHECK_NO_SYSTEM`

  Ignore system wide attributes.

  - Value: `4`
  - Available since: 1.0